## xilinx-runtime 2.8.743

=== ert_project/Makefile ===
# Auto Generated by Xilinx generate_app. Modify at your own risk

CC := mb-gcc
CC_FLAGS := -MMD -MP -mlittle-endian -mxl-soft-mul -mcpu=v10.0    
CFLAGS := 
LN_FLAGS := -Wl,--start-group,-lxil,-lgcc,-lc,--end-group  -Wl,--gc-sections

c_SOURCES := $(wildcard *.c)
S_SOURCES := $(wildcard *.S)
s_SOURCES := $(wildcard *.s)
INCLUDES := $(wildcard *.h)
OBJS := $(patsubst %.c, %.o, $(c_SOURCES))
OBJS += $(patsubst %.S, %.o, $(S_SOURCES))
OBJS += $(patsubst %.s, %.o, $(s_SOURCES))
LSCRIPT := -Tlscript.ld

CURRENT_DIR = $(shell pwd)
DEPFILES := $(patsubst %.o, %.d, $(OBJS))
LIBS := empty_application_bsp/static_region_brd_mgmt_scheduler_embedded_schduler_microblaze_scheduler/lib/libxil.a
EXEC := executable.elf

INCLUDEPATH := -Iempty_application_bsp/static_region_brd_mgmt_scheduler_embedded_schduler_microblaze_scheduler/include -I.
LIBPATH := -Lempty_application_bsp/static_region_brd_mgmt_scheduler_embedded_schduler_microblaze_scheduler/lib

all: $(EXEC)

$(EXEC): $(LIBS) $(OBJS) $(INCLUDES)
	$(CC) -o $@ $(OBJS) $(CC_FLAGS) $(CFLAGS) $(LN_FLAGS) $(LIBPATH) $(LSCRIPT)

$(LIBS):
	$(MAKE) -C empty_application_bsp

%.o:%.c
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

%.o:%.S
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

%.o:%.s
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

clean:
	rm -rf $(OBJS) $(LIBS) $(EXEC) *.o

-include $(DEPFILES)

=== mgmt_project/Makefile ===
# Auto Generated by Xilinx generate_app. Modify at your own risk

CC := mb-gcc
CC_FLAGS := -MMD -MP -mlittle-endian -mxl-soft-mul -mcpu=v10.0    
CFLAGS := 
LN_FLAGS := -Wl,--start-group,-lxil,-lgcc,-lc,--end-group  -Wl,--gc-sections

c_SOURCES := $(wildcard *.c)
S_SOURCES := $(wildcard *.S)
s_SOURCES := $(wildcard *.s)
INCLUDES := $(wildcard *.h)
OBJS := $(patsubst %.c, %.o, $(c_SOURCES))
OBJS += $(patsubst %.S, %.o, $(S_SOURCES))
OBJS += $(patsubst %.s, %.o, $(s_SOURCES))
LSCRIPT := -Tlscript.ld

CURRENT_DIR = $(shell pwd)
DEPFILES := $(patsubst %.o, %.d, $(OBJS))
LIBS := empty_application_bsp/static_region_brd_mgmt_scheduler_board_management_microblaze_board_control/lib/libxil.a
EXEC := executable.elf

INCLUDEPATH := -Iempty_application_bsp/static_region_brd_mgmt_scheduler_board_management_microblaze_board_control/include -I.
LIBPATH := -Lempty_application_bsp/static_region_brd_mgmt_scheduler_board_management_microblaze_board_control/lib

all: $(EXEC)

$(EXEC): $(LIBS) $(OBJS) $(INCLUDES)
	$(CC) -o $@ $(OBJS) $(CC_FLAGS) $(CFLAGS) $(LN_FLAGS) $(LIBPATH) $(LSCRIPT)

$(LIBS):
	$(MAKE) -C empty_application_bsp

%.o:%.c
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

%.o:%.S
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

%.o:%.s
	$(CC) $(CC_FLAGS) $(CFLAGS) -c $< -o $@ $(INCLUDEPATH)

clean:
	rm -rf $(OBJS) $(LIBS) $(EXEC) *.o

-include $(DEPFILES)

=== src/CMakeLists.txt ===
PROJECT(XRT)
CMAKE_MINIMUM_REQUIRED(VERSION 3.5.0)

ENABLE_TESTING()

SET(PROJECT_DESCRIPTION "https://github.com/Xilinx/XRT")

# Exported interface into XRT for include from implemenation
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/runtime_src
  ${CMAKE_CURRENT_SOURCE_DIR}/runtime_src/core/include
  ${CMAKE_CURRENT_SOURCE_DIR}/../tests/validate
  )

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message("-- Host system processor is ${CMAKE_HOST_SYSTEM_PROCESSOR}")
message("-- Target system processor is ${CMAKE_SYSTEM_PROCESSOR}")

set(XRT_NATIVE_BUILD "yes")
if (NOT ${CMAKE_SYSTEM_PROCESSOR} STREQUAL ${CMAKE_HOST_SYSTEM_PROCESSOR})
  set(XRT_NATIVE_BUILD "no")
endif()

if (DEFINED ENV{XRT_NATIVE_BUILD})
  set(XRT_NATIVE_BUILD $ENV{XRT_NATIVE_BUILD})
endif()

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RelWithDebInfo)
endif (NOT CMAKE_BUILD_TYPE)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set (CMAKE_INSTALL_PREFIX "/opt/xilinx")
endif()
set (CMAKE_INSTALL_PREFIX "/opt/xilinx")

if (${XRT_NATIVE_BUILD} STREQUAL "no")
  set (CMAKE_INSTALL_PREFIX "/usr")
endif()

# Default component name for any install() command without the COMPONENT argument
# The default component is the xrt run-time component, if XRT_DEV_COMPONENT is
# set to something different then a development component will be created with
# link libraries and header which are then excluded from runtime component
set (CMAKE_INSTALL_DEFAULT_COMPONENT_NAME "xrt")

# Enable development package by specifying development component name
# If XRT_DEV_COMPONENT is same DEFAULT_COMPONENT then only that package
# is created with both development and run-time content.
#set (XRT_DEV_COMPONENT "xrt-dev")
set (XRT_DEV_COMPONENT "xrt")

set (XRT_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}")

set(XRT_VERSION_RELEASE 202020)
SET(XRT_VERSION_MAJOR 2)
SET(XRT_VERSION_MINOR 8)

if (DEFINED ENV{XRT_VERSION_PATCH})
  SET(XRT_VERSION_PATCH $ENV{XRT_VERSION_PATCH})
else(DEFINED $ENV{XRT_VERSION_PATCH})
  SET(XRT_VERSION_PATCH 0)
endif(DEFINED ENV{XRT_VERSION_PATCH})

#set(XRT_SOVERSION ${XRT_VERSION_MAJOR}.${XRT_VERSION_MINOR})
set(XRT_SOVERSION ${XRT_VERSION_MAJOR})
set(XRT_VERSION_STRING ${XRT_VERSION_MAJOR}.${XRT_VERSION_MINOR}.${XRT_VERSION_PATCH})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake/")

if (${XRT_NATIVE_BUILD} STREQUAL "yes")
  # Temporary native wrapper while Linux code is being ported to windows.
  # When completed the two build flows will once again be merged into one
  # common file
  if (WIN32)
    include(CMake/nativeWin.cmake)
  else()
    include(CMake/nativeLnx.cmake)
  endif()
  include(CMake/nativeTests.cmake)
else()
  include(CMake/embedded_system.cmake)
endif()

=== bram_v4_3/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=*.h

LIBSOURCES=*.c
OUTS = *.o 
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs:
	echo "Compiling bram"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} $(OBJECTS)
	make clean

include: 
	 ${CP} ${INCLUDEFILES} ${INCLUDEDIR} 

clean:
	rm -rf ${OBJECTS}

=== bram_v4_4/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

CC_FLAGS = $(COMPILER_FLAGS)
ECC_FLAGS = $(EXTRA_COMPILER_FLAGS)

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

OUTS = *.o

LIBSOURCES:=*.c
INCLUDEFILES:=*.h

OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs: banner xbram_libs clean

%.o: %.c
	${COMPILER} $(CC_FLAGS) $(ECC_FLAGS) $(INCLUDES) -o $@ $<

banner:
	echo "Compiling bram"

xbram_libs: ${OBJECTS}
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OBJECTS}

.PHONY: include
include: xbram_includes

xbram_includes:
	${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== clk_wiz_v1_2/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=-Wall -Wextra
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I${INCLUDEDIR}

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
LIBSOURCES=*.c
INCLUDEFILES=*.h

libs:
	echo "Compiling Clkocking Wizard"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OUTS}
	make clean

include:
	${CP} $(INCLUDEFILES) $(INCLUDEDIR)

clean:
	rm -rf $(OBJECTS)

=== cpu_v2_10/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I${INCLUDEDIR}

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
LIBSOURCES=*.c
INCLUDEFILES=xio.h

libs:
	echo "Compiling cpu"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} $(OBJECTS)
	make clean

include:
	${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== cpu_v2_6/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I${INCLUDEDIR}

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
LIBSOURCES=*.c
INCLUDEFILES=xio.h

libs:
	echo "Compiling cpu"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OUTS}
	make clean

include:
	${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== gpio_v4_3/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=xgpio_l.h xgpio.h

LIBSOURCES=*.c
OUTS = *.o 
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs:
	echo "Compiling gpio"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} $(OUTS)
	make clean

include: 
	 ${CP} ${INCLUDEFILES} ${INCLUDEDIR} 

clean:
	rm -rf ${OBJECTS}

=== hwicap_v11_1/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
# LIB=libxil.a
LIB=libxil.a
LEVEL=0

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I${INCLUDEDIR}

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
LIBSOURCES=*.c
INCLUDEFILES=*.h

libs:
	echo "Compiling hwicap"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OUTS}
#	make clean

include:
	${CP} $(INCLUDEFILES) $(INCLUDEDIR)

clean:
	rm -rf $(OBJECTS)

=== iic_v3_4/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=xiic.h xiic_l.h
LIBSOURCES=*.c
OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))

libs:
	echo "Compiling iic"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} ${OUTS}
	make clean

include:
	 ${CP} ${INCLUDEFILES} ${INCLUDEDIR}

clean:
	rm -rf ${OBJECTS}

=== intc_v3_10/src/Makefile ===
COMPILER=
ARCHIVER=
CP=cp
COMPILER_FLAGS=
EXTRA_COMPILER_FLAGS=
LIB=libxil.a
LEVEL=0

RELEASEDIR=../../../lib
INCLUDEDIR=../../../include
INCLUDES=-I./. -I${INCLUDEDIR}

INCLUDEFILES=*.h
LIBSOURCES=*.c

OUTS = *.o
OBJECTS =	$(addsuffix .o, $(basename $(wildcard *.c)))
libs:
	echo "Compiling intc"
	$(COMPILER) $(COMPILER_FLAGS) $(EXTRA_COMPILER_FLAGS) $(INCLUDES) $(LIBSOURCES)
	$(ARCHIVER) -r ${RELEASEDIR}/${LIB} $(OBJECTS)
	make clean

include:
	${CP} $(INCLUDEFILES) $(INCLUDEDIR)

clean:
	rm -rf ${OBJECTS}

=== debian/changelog ===
xilinx-runtime (2.8.743-0ubuntu5) jammy; urgency=medium

  * Use Provides correctly

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 19:00:37 +0100

xilinx-runtime (2.8.743-0ubuntu4) jammy; urgency=medium

  * Fix versions for packages to be replaced

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 16:13:50 +0100

xilinx-runtime (2.8.743-0ubuntu3) jammy; urgency=medium

  * Remove preinst script and use Replaces/Breaks/Provides

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 14:18:41 +0100

xilinx-runtime (2.8.743-0ubuntu2) jammy; urgency=medium

  * Remove icd from old package to avoid installation conflict

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 08 Mar 2022 11:43:54 +0100

xilinx-runtime (2.8.743-0ubuntu1) jammy; urgency=medium

  * Rename packages and change versioning scheme
    - Source package xrt -> xilinx-runtime
    - Binary package xrt-embedded -> xrt
    - Binary package xrt-zocl-dkms -> xrt-dkms

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 01 Mar 2022 12:02:26 +0100

xrt (202020.2.8.743-0ubuntu1) impish; urgency=medium

  * Update to 202020.2.8.743 tag upstream (fixex issue with reading AIE
    counter)
  * Add OpenCL configuration file (LP: #1939613)
  * Fix FTBFS with latest impish gcc
  * Restrict build to arm64 only

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 13 Aug 2021 11:30:48 +0200

xrt (202020.2.8.726-0ubuntu7) impish; urgency=medium

  * Fix patches description

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 12:19:28 +0200

xrt (202020.2.8.726-0ubuntu6) impish; urgency=medium

  * Fix dkms packages build

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 24 May 2021 12:23:12 +0200

xrt (202020.2.8.726-0ubuntu5) hirsute; urgency=medium

  * Avoid installing files in /opt and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 13 Apr 2021 14:10:07 +0200

xrt (202020.2.8.726-0ubuntu4) hirsute; urgency=medium

  * Fix lintian warnings and add watch file

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 09 Apr 2021 14:42:09 +0200

xrt (202020.2.8.726-0ubuntu3) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 23 Mar 2021 17:14:50 +0100

xrt (202020.2.8.726-0ubuntu2) focal; urgency=medium

  * Add missing dependency for x86

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 17:46:04 +0100

xrt (202020.2.8.726-0ubuntu1) focal; urgency=medium

  * Update to 202020.2.8.726 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 25 Nov 2020 13:33:35 +0100

xrt (202010.2.7.766-0ubuntu4) focal; urgency=medium

  * Fix postinst/prerm for zocl

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 13:25:07 +0200

xrt (202010.2.7.766-0ubuntu3) focal; urgency=medium

  * Add zocl files

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 12:31:03 +0200

xrt (202010.2.7.766-0ubuntu2) focal; urgency=medium

  * Add xrt-embedded package for arm64.
    The structure of this package is significantly different to the xrt
    one.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 02 Oct 2020 11:31:53 +0200

xrt (202010.2.7.766-0ubuntu1) focal; urgency=medium

  * Update to 202010.2.7.766 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 01 Oct 2020 16:19:32 +0200

xrt (202010.2.6.655-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:04:43 +0200

=== debian/control ===
Source: xilinx-runtime
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               cppcheck,
               debhelper-compat (= 12),
# used to check the version of the tree
               git,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libcurl4-openssl-dev,
               libdrm-dev,
               libgtest-dev,
               libncurses5-dev,
               libprotobuf-dev,
               libssl-dev,
               libudev-dev,
               libxml2-dev,
               libyaml-dev,
               lsb-release,
               ocl-icd-dev,
               ocl-icd-opencl-dev,
               opencl-clhpp-headers,
               pkg-config,
               protobuf-compiler,
               uuid-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/Xilinx/XRT
Vcs-Git: https://github.com/Xilinx/XRT.git

Package: xrt
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: xrt-embedded (<< 202020.2.8.743-0ubuntu2~)
Breaks: xrt-embedded (<< 202020.2.8.743-0ubuntu2~)
Provides: xrt-embedded (= 202020.2.8.743-0ubuntu2)
Description: Xilinx Runtime (XRT) - runtime libraries
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the XRT libraries, headers, and tools for MPSoC
 devices.

Package: xrt-dkms
# embedded/edge only driver
Architecture: arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dkms
Replaces: xrt-zocl-dkms (<< 202020.2.8.743-0ubuntu2~)
Breaks: xrt-zocl-dkms (<< 202020.2.8.743-0ubuntu2~)
Provides: xrt-zocl-dkms (= 202020.2.8.743-0ubuntu2)
Description: Xilinx Runtime (XRT) - ZOCL DKMS kernel drivers
 The Xilinx Runtime (XRT) provides acceleration across PCIe and MPSoC
 based Xilinx platforms.
 .
 This package contains the ZOCL DKMS kernel drivers.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?\d*\.(\d[\d.]*)\.tar\.gz%xilinx-runtime_$1.tar.gz%" \
    https://github.com/Xilinx/XRT/tags \
    (?:.*?/)?v?\d*\.(\d[\d.]*)\.tar\.gz debian uupdate

## xilinx-runtime 2.13.466

=== debian/changelog ===
xilinx-runtime (2.13.466-0ubuntu2) jammy; urgency=medium

  * Add rapidjson-dev dependency

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 10 May 2022 10:37:25 +0200

xilinx-runtime (2.13.466-0ubuntu1) jammy; urgency=medium

  * Update to 2.13.466 upstream (tag 202210.2.13.466)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 10 May 2022 08:52:38 +0200

xilinx-runtime (2.13.0~e987993-0ubuntu2) jammy; urgency=medium

  * Fix a missing dependency, libffi-dev

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Mar 2022 14:53:47 +0100

xilinx-runtime (2.13.0~e987993-0ubuntu1) jammy; urgency=medium

  * 2.13.0 pre-release from commit e987993

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 11 Mar 2022 15:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                libboost-program-options-dev,
                libcurl4-openssl-dev,
                libdrm-dev,
+               libffi-dev,
                libgtest-dev,
                libncurses5-dev,
                libprotobuf-dev,
@@ -25,6 +26,7 @@
                opencl-clhpp-headers,
                pkg-config,
                protobuf-compiler,
+               rapidjson-dev,
                uuid-dev,
 Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/Xilinx/XRT

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --sourcedirectory=src

override_dh_auto_configure:
	set -ex; \
	if [ "$$(dpkg-architecture -q DEB_TARGET_ARCH)" = arm64 ]; then \
		XRT_NATIVE_BUILD=no DKMS_FLOW=yes dh_auto_configure; \
	else \
		dh_auto_configure; \
	fi

override_dh_auto_test:
# tests not currently passing
	dh_auto_test || true

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib -l/usr/lib/xrt/module

override_dh_install:
# TODO Some files are missing in tmp, this will need a deeper investigation
	set -ex; \
	dkms_folder=$$(find debian/tmp/usr/src/ -maxdepth 1 -type d -name 'xrt-[0-9]*'); \
	mkdir -p $$dkms_folder/driver/common/; \
	cp -rf src/runtime_src/core/common/drv/* $$dkms_folder/driver/common/; \
	if [ -d $$dkms_folder/driver/zocl/ ]; then \
	    cp -rf src/runtime_src/core/edge/drm/zocl/* $$dkms_folder/driver/zocl/; \
	    cp src/runtime_src/core/include/xgq*.h $$dkms_folder/driver/zocl/include/; \
	    cp src/runtime_src/core/include/ps_kernel.h $$dkms_folder/driver/zocl/include/; \
	fi
# script end
# Create configuration file for OpenCL
	mkdir -p debian/tmp/etc/OpenCL/vendors/
	echo "libxilinxopencl.so" > debian/tmp/etc/OpenCL/vendors/xilinx.icd
	dh_install
